pragma Singleton
import QtQuick 2.0

ThemeTemplate {
    fontFamily: QtObject {
        readonly property string light: "FONT/OpenSans-Light.ttf"
        readonly property string regular: "FONT/OpenSans-Regular.ttf"
        readonly property string semibold: "FONT/OpenSans-Semibold.ttf"
        readonly property string bold: "FONT/OpenSans-Bold.ttf"
        readonly property string extrabold: "FONT/OpenSans-ExtraBold.ttf"
    }

    Component.onCompleted: {
        fontFamilyChanged(); // [QTBUG-69504] Why do I need to make that call ?
        console.info("[MyTheme Completed] " + fonts.length)
    }
    onFontsChanged: console.info("[MyTheme Instanciation] " + fonts.length)
}
