import QtQuick 2.0

QtObject {
    property var fonts: []

    property QtObject fontFamily: QtObject {

    }

    onFontFamilyChanged: {
        for(var attr in fontFamily)
        {
            if(!(fontFamily[attr] instanceof Object)){
                if(fontFamily[attr].length > 0){
                    fonts.push(fontFamily[attr]);
                }
            }
        }
        console.info("[ThemeTemplate onFontFamilyChanged] " + fonts.length)
        fontsChanged()
    }

    Component.onCompleted: console.info("[ThemeTemplate Completed] " + fonts.length)
    onFontsChanged: console.info("[ThemeTemplate Instanciation] " + fonts.length)

}
